com.dlsc.flexgantt.icons

## Enum IconId

- java.lang.Object
- - java.lang.Enum<IconId>
  - - com.dlsc.flexgantt.icons.IconId

- All Implemented Interfaces:
    Serializable, Comparable<IconId>

      public enum IconId
      extends Enum<IconId>

  Icon IDs are used in conjunction with the icon registry class. They allow for the easy retrieval and modification of icons used within the FlexGantt framework.
  Since:
    1.0
  Version:
    $Revision: 1.19 $
  Author:
    Dirk Lemmermann
  See Also:
    `IconRegistry.setIcon(IconId, javax.swing.Icon)`, `IconRegistry.getIcon(IconId)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ALIGN_LEFT` Used for the 'assign same start time to multiple timeline objects' action.
    `ALIGN_RIGHT` Used for the 'assign same end time to multiple timeline objects' action.
    `ALL_OBJECTS` Used for the 'zoom in/out to show all timeline objects stored on the currently visible rows' action.
    `ALL_OBJECTS_SMALL` Used for the 'zoom in/out to show all timeline objects stored on the currently visible rows' button in the navigation control.
    `ARROW` Used for the 'use default selection tool' action.
    `ARROW_DOWN` Used for looking up an icon displaying an arrow that points down.
    `ARROW_UP` Used for looking up an icon displaying an arrow that points up.
    `BLANK` An empty and transparent icon (size: 16x16 pixel).
    `BOOKMARK` Used for looking up an icon for a bookmark.
    `BOOKMARK_CREATE` Used for looking up an icon for the action 'create/add bookmark'.
    `BOOKMARK_DELETE` Used for looking up an icon for the action 'delete/remove bookmark'.
    `BOOKMARK_SMALL` Used for looking up a small icon for a bookmark.
    `CALENDAR` An icon representing the calendar data view.
    `CHECKMARK` A checkmark icon indicating a true (boolean) value.
    `CLOSE_SELECTOR` An icon used for closing the various selector windows.
    `COLLAPSE_ALL` Used for the 'collapse all tree nodes' action.
    `COLOR_LEGEND` Used for the 'show color legend' action.
    `COLUMN` An icon representing a column.
    `COMBINED_GRID` Used for the status bar to indicate that the grid is a combined version of the minor and the major grid.
    `CONSTRAINED` Used for indicating that something is constrained.
    `CONTROLS` Used for the 'show additional controls' action.
    `CREATE_NODE` Used by the treetable's row header to indicate the row where a new tree table node can be created.
    `CREATE_RELATIONSHIPS` Icon used for menus and buttons for creating new relationship objects.
    `CREATE_TIMELINE_OBJECT` Icon used for menus and buttons for creating new timeline objects.
    `CROSSHAIR` Used for the 'show / hide crosshair' actiont.
    `CURSOR_CHANGE_END_TIME` Used for the custom cursor that gets shown when the user can edit the end time of a timeline object.
    `CURSOR_CHANGE_START_TIME` Used for the custom cursor that gets shown when the user can edit the start time of a timeline object.
    `CURSOR_CREATE_EVENTLINE_OBJECTS` Used for the custom cursor that gets shown when the user can create eventline objects via the lasso / rubber band feature.
    `CURSOR_CREATE_RELATIONSHIPS` Used for the custom cursor that gets shown when the user can create relationships via the lasso / rubber band feature.
    `CURSOR_CREATE_TIMELINE_OBJECTS` Used for the custom cursor that gets shown when the user can create timeline objects via the lasso / rubber band feature.
    `CURSOR_EDIT_CAPACITY` Used for the custom cursor that gets shown when the user can edit the capacity of a timeline object.
    `CURSOR_EDIT_PERCENTAGE` Used for the custom cursor that gets shown when the user can edit the percentage complete value.
    `CURSOR_MOVE` Used for the custom cursor that gets shown when the user can move a timeline object.
    `CURSOR_MOVE_HORIZONTAL` Used for the custom cursor that gets shown when the user can move a timeline object horizontally.
    `CURSOR_MOVE_VERTICAL` Used for the custom cursor that gets shown when the user can move a timeline object vertically.
    `CURSOR_SELECT_TIME_SPANS` Used for the custom cursor that gets shown when the user can select time spans with a lasso / rubber band feature.
    `CURSOR_SELECT_TIME_SPANS_MULTI` Used for the custom cursor that gets shown when the user can perform multiple time span selections with a lasso / rubber band feature.
    `CURSOR_SELECT_TIMELINE_OBJECTS` Used for the custom cursor that gets shown when the user can select timeline objects with a lasso / rubber band feature.
    `CURSOR_SELECT_TIMELINE_OBJECTS_MULTI` Used for the custom cursor that gets shown when the user can perform multiple timeline object selections with a lasso / rubber band feature.
    `DAYLIGHT_SAVINGS_TIME_BEGIN` Icon used by the eventline to mark the beginning of daylight savings time.
    `DAYLIGHT_SAVINGS_TIME_END` Icon used by the eventline to mark the end of daylight savings time.
    `DELETE` Used for any action that deletes something.
    `DESELECT_ALL` Used for the 'deselect all timeline objects' action.
    `EARLIEST_OBJECTS` Used for the 'scroll the timeline to the left/right in order to show those timeline objects that begin the earliest and that are being stored on the currently visible rows' action.
    `EARLIEST_OBJECTS_SMALL` Used for the 'scroll the timeline to the left/right in order to show those timeline objects that begin the earliest and that are being stored on the currently visible rows' button.
    `ERROR` Message status icon: used (for example) in the statusline to indicate that an error has occured.
    `EVENT` Icon used by icon timeline object renderer.
    `EVENT_SELECTED` Icon used by icon timeline object renderer.
    `EVENTLINE` Used for the 'show eventline' action.
    `EXPAND_ALL` Used for the 'expand all tree nodes (recursively)' action.
    `FLEXGANTT_16` Product icon, size 16x16.
    `FLEXGANTT_32` Product icon, size 32x32.
    `FLEXGANTT_64` Product icon, size 64x64.
    `FOCUS_ARROW_DOWN` Used for visualizing that a timeline object has the focus during the creation of a relationship.
    `FOCUS_ARROW_LEFT` Used for visualizing that a timeline object has the focus during the creation of a relationship.
    `FOCUS_ARROW_RIGHT` Used for visualizing that a timeline object has the focus during the creation of a relationship.
    `FOCUS_ARROW_UP` Used for visualizing that a timeline object has the focus during the creation of a relationship.
    `FOLDER_CLOSED` An icon representing a closed folder.
    `FOLDER_OPEN` An icon representing an opened folder.
    `GANTT_CHART` An icon representing the Gantt chart data view.
    `GARBAGE_COLLECTION` An icon representing a garbage collection.
    `GOTO` Used for the 'goto timepoint' navigation control.
    `GRANULARITY` Used for the 'select granularity' navigation control.
    `GRID` Used for the 'show minor/major/no grid' action.
    `GRID_OFF` Used for indicating that the grid used for drag and drop operations is currently turned off.
    `GRID_ON` Used for indicating that the grid used for drag and drop operations is currently turned on.
    `HELP` Used for any situation related to providing help to the user.
    `INFORMATION` Message status icon: used (for example) in the statusline to indicate that an information is available for the user.
    `KEY_COLUMN` Used for the key column entries in the column chooser and the column menu.
    `LASSO` Generic icon used for the various lasso features.
    `LATEST_OBJECTS` Used for the 'scroll the timeline to the left/right in order to show those timeline objects that end the latest and that are being stored on the currently visible rows' action.
    `LATEST_OBJECTS_SMALL` Used for the 'scroll the timeline to the left/right in order to show those timeline objects that end the latest and that are being stored on the currently visible rows' button.
    `LAYER` A generic icon representing a layer.
    `LAYER_CONTROL` Used for the 'show the layer palette' action.
    `LAYER_SELECTOR` Used for the 'show the layer selector' control button.
    `LEAF` A tree leaf icon.
    `LINK` Indicates that something has a URL link attached to it.
    `LINK_SOURCE_HANDLE_LEFT` Used for the 'create link' handle shown on the left-hand side of a timeline object used as the source of a link / relationship.
    `LINK_SOURCE_HANDLE_LEFT_FOCUS` Used for the 'create link' handle shown on the left-hand side of a timeline object used as the source of a link / relationship.
    `LINK_SOURCE_HANDLE_RIGHT` Used for the 'create link' handle shown on the right-hand side of a timeline object used as the source of a link / relationship.
    `LINK_SOURCE_HANDLE_RIGHT_FOCUS` Used for the 'create link' handle shown on the right-hand side of a timeline object used as the source of a link / relationship.
    `LINK_TARGET_HANDLE_LEFT` Used for the 'create link' handle shown on the left-hand side of a timeline object used as the target of a link / relationship.
    `LINK_TARGET_HANDLE_LEFT_FOCUS` Used for the 'create link' handle shown on the left-hand side of a timeline object used as the target of a link / relationship.
    `LINK_TARGET_HANDLE_RIGHT` Used for the 'create link' handle shown on the right-hand side of a timeline object used as the target of a link / relationship.
    `LINK_TARGET_HANDLE_RIGHT_FOCUS` Used for the 'create link' handle shown on the right-hand side of a timeline object used as the target of a link / relationship.
    `MAJOR_GRID` Used by the statusline to indicate that the 'major' grid is turned on.
    `MEMORY` An icon used for the memory indicator in the statusbar.
    `MINOR_GRID` Used by the statusline to indicate that the 'minor' grid is turned on.
    `MOVE` An icon representing a mode in which something can be moved (similar to the 'move' cursor provided by the operating system.
    `NODE_INDENT` An icon representing an action, which will indent a tree table node.
    `NODE_OUTDENT` An icon representing an action, which will indent a tree table node.
    `NOTE` Used to show that something has a note attached to it (usually a medium sized text description).
    `OBJECT_LASSO` Used for the 'use object lasso' action, which allows the user to draw a box and select all objects within that box.
    `OVERVIEW` Used for menu items and buttons that trigger the overview functionality of the Gantt chart.
    `OVERVIEW_SELECTOR` Used for the control button that brings up the overview window.
    `PAGE_BEGINNING` Used for the button in the page control, which will change the currently displayed time span to the earliest time span.
    `PAGE_EARLIER` Used for the button in the page control, which will change the currently displayed time span to the next earlier time span.
    `PAGE_END` Used for the button in the page control, which will change the currently displayed time span to the latest time span.
    `PAGE_LATER` Used for the button in the page control, which will change the currently displayed time span to the next later time span.
    `PAGE_SELECTION` Used for the button in the page control, which will allow the user to go directly to a specific page.
    `PIN` Used for showing that something has been pinned.
    `POPUP` Used for the 'show popups' action.
    `POPUP_CLEAR` Used for the 'clear pinned popups' action.
    `PRINT` Used for the 'print Gantt chart' action.
    `PRINT_PREVIEW` Used for the 'print Gantt chart (with preview)' action.
    `RECTANGLE` An icon used for the rectangle/box/lasso selection mechanism.
    `REDO` Used for the 'redo last undone command' action.
    `RELATIONSHIPS` Used for the 'show relationships' action.
    `SCROLLING_LOCKED` Used for displaying the state of the "time now scrolling" feature.
    `SCROLLING_UNLOCKED` Used for displaying the state of the "time now scrolling" feature.
    `SELECT_ALL` Used for the 'select all timeline objects' action.
    `SELECTION_INDICATOR` Used to mark selections.
    `SPLIT_GANTT_CHART` Used for the 'split gantt chart' action.
    `SPLIT_GANTT_CHART_SMALL` Used for the 'split gantt chart' button.
    `SPREADSHEET` Used for the 'show spreadsheet' action.
    `SPREADSHEET_SELECTOR` Used for the control button that brings up the spreadsheet selector window.
    `TABLE` An icon representing a table.
    `TASK` An icon for tree nodes that represent tasks.
    `TASK_GROUP` An icon for tree nodes that represent a group of tasks.
    `TIME` An icon for 'time' (usually a calendar and/or clock).
    `TIME_NOW` Represents the time currently used by the Gantt chart (not the system time of the computer where the Gantt chart is being executed).
    `TIME_NOW_SMALL` Represents the time currently used by the Gantt chart (not the system time of the computer where the Gantt chart is being executed).
    `TIME_SPAN_LASSO` Used for the 'use time span lasso' action, which allows the user to draw a box and select all time spans within that box.
    `TIME_SPAN_SMALL` Used for the 'select time span' navigation control.
    `TIME_ZONE` Represents a time zone (e.g.
    `TIMELINE_OBJECT_EDITOR_CLOSE` An icon used inside the titlebar of timeline object editors for closing the editor.
    `TIMELINE_OBJECT_EDITOR_PACK` An icon used inside the titlebar of timeline object editors for resizing the editor to its preferred size.
    `UNDO` Used for the 'undo last executed command' action.
    `UNSPLIT_GANTT_CHART` Used for the 'unsplit the gantt chart' action.
    `UNSPLIT_GANTT_CHART_SMALL` Used for the 'unsplit the gantt chart' button.
    `WARNING` Message status icon: used (for example) in the statusline to indicate that a warning has been issued by the application.
    `ZOOM_IN` An icon used for the 'show a shorter visible time range' action.
    `ZOOM_IN_SMALL` An icon used for the 'show a shorter visible time range' BUTTON.
    `ZOOM_OUT` An icon used for the 'show a longer visible time range' action.
    `ZOOM_OUT_SMALL` An icon used for the 'show a longer visible time range' button.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IconId` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IconId[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### ALIGN_LEFT

          public static final IconId ALIGN_LEFT

      Used for the 'assign same start time to multiple timeline objects' action.
      Since:
        1.0

    - #### ALIGN_RIGHT

          public static final IconId ALIGN_RIGHT

      Used for the 'assign same end time to multiple timeline objects' action.
      Since:
        1.0

    - #### ALL_OBJECTS

          public static final IconId ALL_OBJECTS

      Used for the 'zoom in/out to show all timeline objects stored on the currently visible rows' action.
      Since:
        1.0

    - #### ALL_OBJECTS_SMALL

          public static final IconId ALL_OBJECTS_SMALL

      Used for the 'zoom in/out to show all timeline objects stored on the currently visible rows' button in the navigation control.
      Since:
        1.0
      See Also:
        `NavigationControlPanel`

    - #### ARROW

          public static final IconId ARROW

      Used for the 'use default selection tool' action.
      Since:
        1.0

    - #### ARROW_UP

          public static final IconId ARROW_UP

      Used for looking up an icon displaying an arrow that points up.
      Since:
        1.0

    - #### ARROW_DOWN

          public static final IconId ARROW_DOWN

      Used for looking up an icon displaying an arrow that points down.
      Since:
        1.0

    - #### BLANK

          public static final IconId BLANK

      An empty and transparent icon (size: 16x16 pixel).
      Since:
        1.0

    - #### BOOKMARK

          public static final IconId BOOKMARK

      Used for looking up an icon for a bookmark.
      Since:
        1.0

    - #### BOOKMARK_SMALL

          public static final IconId BOOKMARK_SMALL

      Used for looking up a small icon for a bookmark.
      Since:
        1.0

    - #### BOOKMARK_CREATE

          public static final IconId BOOKMARK_CREATE

      Used for looking up an icon for the action 'create/add bookmark'.
      Since:
        1.0

    - #### BOOKMARK_DELETE

          public static final IconId BOOKMARK_DELETE

      Used for looking up an icon for the action 'delete/remove bookmark'.
      Since:
        1.0

    - #### CHECKMARK

          public static final IconId CHECKMARK

      A checkmark icon indicating a true (boolean) value.
      Since:
        1.0

    - #### CLOSE_SELECTOR

          public static final IconId CLOSE_SELECTOR

      An icon used for closing the various selector windows.
      Since:
        1.0

    - #### COLLAPSE_ALL

          public static final IconId COLLAPSE_ALL

      Used for the 'collapse all tree nodes' action.
      Since:
        1.0

    - #### COLOR_LEGEND

          public static final IconId COLOR_LEGEND

      Used for the 'show color legend' action.
      Since:
        1.0

    - #### COLUMN

          public static final IconId COLUMN

      An icon representing a column.
      Since:
        1.0

    - #### COMBINED_GRID

          public static final IconId COMBINED_GRID

      Used for the status bar to indicate that the grid is a combined version of the minor and the major grid.
      Since:
        1.0

    - #### CONSTRAINED

          public static final IconId CONSTRAINED

      Used for indicating that something is constrained.
      Since:
        1.0

    - #### CONTROLS

          public static final IconId CONTROLS

      Used for the 'show additional controls' action.
      Since:
        1.0

    - #### CREATE_NODE

          public static final IconId CREATE_NODE

      Used by the treetable's row header to indicate the row where a new tree table node can be created.
      Since:
        1.0

    - #### CREATE_TIMELINE_OBJECT

          public static final IconId CREATE_TIMELINE_OBJECT

      Icon used for menus and buttons for creating new timeline objects.
      Since:
        2.0

    - #### CREATE_RELATIONSHIPS

          public static final IconId CREATE_RELATIONSHIPS

      Icon used for menus and buttons for creating new relationship objects.
      Since:
        2.0

    - #### CROSSHAIR

          public static final IconId CROSSHAIR

      Used for the 'show / hide crosshair' actiont.
      Since:
        1.0

    - #### CURSOR_EDIT_PERCENTAGE

          public static final IconId CURSOR_EDIT_PERCENTAGE

      Used for the custom cursor that gets shown when the user can edit the percentage complete value.
      Since:
        1.0

    - #### CURSOR_EDIT_CAPACITY

          public static final IconId CURSOR_EDIT_CAPACITY

      Used for the custom cursor that gets shown when the user can edit the capacity of a timeline object.
      Since:
        1.0

    - #### CURSOR_CHANGE_END_TIME

          public static final IconId CURSOR_CHANGE_END_TIME

      Used for the custom cursor that gets shown when the user can edit the end time of a timeline object.
      Since:
        1.0

    - #### CURSOR_CHANGE_START_TIME

          public static final IconId CURSOR_CHANGE_START_TIME

      Used for the custom cursor that gets shown when the user can edit the start time of a timeline object.
      Since:
        1.0

    - #### CURSOR_MOVE

          public static final IconId CURSOR_MOVE

      Used for the custom cursor that gets shown when the user can move a timeline object.
      Since:
        1.0

    - #### CURSOR_MOVE_HORIZONTAL

          public static final IconId CURSOR_MOVE_HORIZONTAL

      Used for the custom cursor that gets shown when the user can move a timeline object horizontally.
      Since:
        1.0

    - #### CURSOR_MOVE_VERTICAL

          public static final IconId CURSOR_MOVE_VERTICAL

      Used for the custom cursor that gets shown when the user can move a timeline object vertically.
      Since:
        1.0

    - #### CURSOR_SELECT_TIMELINE_OBJECTS

          public static final IconId CURSOR_SELECT_TIMELINE_OBJECTS

      Used for the custom cursor that gets shown when the user can select timeline objects with a lasso / rubber band feature.
      Since:
        1.0

    - #### CURSOR_SELECT_TIMELINE_OBJECTS_MULTI

          public static final IconId CURSOR_SELECT_TIMELINE_OBJECTS_MULTI

      Used for the custom cursor that gets shown when the user can perform multiple timeline object selections with a lasso / rubber band feature.
      Since:
        1.0

    - #### CURSOR_SELECT_TIME_SPANS

          public static final IconId CURSOR_SELECT_TIME_SPANS

      Used for the custom cursor that gets shown when the user can select time spans with a lasso / rubber band feature.
      Since:
        1.0

    - #### CURSOR_SELECT_TIME_SPANS_MULTI

          public static final IconId CURSOR_SELECT_TIME_SPANS_MULTI

      Used for the custom cursor that gets shown when the user can perform multiple time span selections with a lasso / rubber band feature.
      Since:
        1.0

    - #### CURSOR_CREATE_TIMELINE_OBJECTS

          public static final IconId CURSOR_CREATE_TIMELINE_OBJECTS

      Used for the custom cursor that gets shown when the user can create timeline objects via the lasso / rubber band feature.
      Since:
        1.0

    - #### CURSOR_CREATE_EVENTLINE_OBJECTS

          public static final IconId CURSOR_CREATE_EVENTLINE_OBJECTS

      Used for the custom cursor that gets shown when the user can create eventline objects via the lasso / rubber band feature.
      Since:
        1.0

    - #### CURSOR_CREATE_RELATIONSHIPS

          public static final IconId CURSOR_CREATE_RELATIONSHIPS

      Used for the custom cursor that gets shown when the user can create relationships via the lasso / rubber band feature.
      Since:
        1.0

    - #### DELETE

          public static final IconId DELETE

      Used for any action that deletes something.
      Since:
        1.0

    - #### DESELECT_ALL

          public static final IconId DESELECT_ALL

      Used for the 'deselect all timeline objects' action.
      Since:
        1.0

    - #### DAYLIGHT_SAVINGS_TIME_BEGIN

          public static final IconId DAYLIGHT_SAVINGS_TIME_BEGIN

      Icon used by the eventline to mark the beginning of daylight savings time.
      Since:
        1.1

    - #### DAYLIGHT_SAVINGS_TIME_END

          public static final IconId DAYLIGHT_SAVINGS_TIME_END

      Icon used by the eventline to mark the end of daylight savings time.
      Since:
        1.1

    - #### EARLIEST_OBJECTS

          public static final IconId EARLIEST_OBJECTS

      Used for the 'scroll the timeline to the left/right in order to show those timeline objects that begin the earliest and that are being stored on the currently visible rows' action.
      Since:
        1.0

    - #### EARLIEST_OBJECTS_SMALL

          public static final IconId EARLIEST_OBJECTS_SMALL

      Used for the 'scroll the timeline to the left/right in order to show those timeline objects that begin the earliest and that are being stored on the currently visible rows' button.
      Since:
        1.0

    - #### ERROR

          public static final IconId ERROR

      Message status icon: used (for example) in the statusline to indicate that an error has occured.
      Since:
        1.0

    - #### EVENT

          public static final IconId EVENT

      Icon used by icon timeline object renderer.
      Since:
        1.0
      See Also:
        `DefaultEventlineObjectRenderer`

    - #### EVENT_SELECTED

          public static final IconId EVENT_SELECTED

      Icon used by icon timeline object renderer.
      Since:
        1.0
      See Also:
        `DefaultEventlineObjectRenderer`

    - #### EVENTLINE

          public static final IconId EVENTLINE

      Used for the 'show eventline' action.
      Since:
        1.0

    - #### EXPAND_ALL

          public static final IconId EXPAND_ALL

      Used for the 'expand all tree nodes (recursively)' action.
      Since:
        1.0

    - #### FOCUS_ARROW_RIGHT

          public static final IconId FOCUS_ARROW_RIGHT

      Used for visualizing that a timeline object has the focus during the creation of a relationship.
      Since:
        1.0

    - #### FOCUS_ARROW_LEFT

          public static final IconId FOCUS_ARROW_LEFT

      Used for visualizing that a timeline object has the focus during the creation of a relationship.
      Since:
        1.0

    - #### FOCUS_ARROW_DOWN

          public static final IconId FOCUS_ARROW_DOWN

      Used for visualizing that a timeline object has the focus during the creation of a relationship.
      Since:
        1.0

    - #### FOCUS_ARROW_UP

          public static final IconId FOCUS_ARROW_UP

      Used for visualizing that a timeline object has the focus during the creation of a relationship.
      Since:
        1.0

    - #### FLEXGANTT_16

          public static final IconId FLEXGANTT_16

      Product icon, size 16x16.
      Since:
        1.0

    - #### FLEXGANTT_32

          public static final IconId FLEXGANTT_32

      Product icon, size 32x32.
      Since:
        1.0

    - #### FLEXGANTT_64

          public static final IconId FLEXGANTT_64

      Product icon, size 64x64.
      Since:
        1.0

    - #### FOLDER_CLOSED

          public static final IconId FOLDER_CLOSED

      An icon representing a closed folder. Used for tree nodes.
      Since:
        1.0

    - #### FOLDER_OPEN

          public static final IconId FOLDER_OPEN

      An icon representing an opened folder. Used for tree nodes.
      Since:
        1.0

    - #### GANTT_CHART

          public static final IconId GANTT_CHART

      An icon representing the Gantt chart data view.
      Since:
        2.0

    - #### GARBAGE_COLLECTION

          public static final IconId GARBAGE_COLLECTION

      An icon representing a garbage collection. This icon shows up in the statusbar when the user clicks on the memory indicator.
      Since:
        2.0

    - #### CALENDAR

          public static final IconId CALENDAR

      An icon representing the calendar data view.
      Since:
        2.0

    - #### GOTO

          public static final IconId GOTO

      Used for the 'goto timepoint' navigation control.
      Since:
        1.0

    - #### GRANULARITY

          public static final IconId GRANULARITY

      Used for the 'select granularity' navigation control.
      Since:
        1.0

    - #### GRID

          public static final IconId GRID

      Used for the 'show minor/major/no grid' action.
      Since:
        1.0

    - #### INFORMATION

          public static final IconId INFORMATION

      Message status icon: used (for example) in the statusline to indicate that an information is available for the user.
      Since:
        1.0

    - #### MEMORY

          public static final IconId MEMORY

      An icon used for the memory indicator in the statusbar.
      Since:
        2.0

    - #### GRID_ON

          public static final IconId GRID_ON

      Used for indicating that the grid used for drag and drop operations is currently turned on.
      Since:
        1.0

    - #### GRID_OFF

          public static final IconId GRID_OFF

      Used for indicating that the grid used for drag and drop operations is currently turned off.
      Since:
        1.0

    - #### OBJECT_LASSO

          public static final IconId OBJECT_LASSO

      Used for the 'use object lasso' action, which allows the user to draw a box and select all objects within that box.
      Since:
        1.0

    - #### TIME_SPAN_SMALL

          public static final IconId TIME_SPAN_SMALL

      Used for the 'select time span' navigation control.
      Since:
        1.0

    - #### TIME_SPAN_LASSO

          public static final IconId TIME_SPAN_LASSO

      Used for the 'use time span lasso' action, which allows the user to draw a box and select all time spans within that box.
      Since:
        1.0

    - #### HELP

          public static final IconId HELP

      Used for any situation related to providing help to the user.
      Since:
        1.0

    - #### KEY_COLUMN

          public static final IconId KEY_COLUMN

      Used for the key column entries in the column chooser and the column menu.
      Since:
        1.0

    - #### LASSO

          public static final IconId LASSO

      Generic icon used for the various lasso features.
      Since:
        2.0

    - #### LATEST_OBJECTS

          public static final IconId LATEST_OBJECTS

      Used for the 'scroll the timeline to the left/right in order to show those timeline objects that end the latest and that are being stored on the currently visible rows' action.
      Since:
        1.0

    - #### LATEST_OBJECTS_SMALL

          public static final IconId LATEST_OBJECTS_SMALL

      Used for the 'scroll the timeline to the left/right in order to show those timeline objects that end the latest and that are being stored on the currently visible rows' button.
      Since:
        1.0

    - #### LAYER

          public static final IconId LAYER

      A generic icon representing a layer.
      Since:
        1.0

    - #### LAYER_CONTROL

          public static final IconId LAYER_CONTROL

      Used for the 'show the layer palette' action.
      Since:
        1.0

    - #### LAYER_SELECTOR

          public static final IconId LAYER_SELECTOR

      Used for the 'show the layer selector' control button.
      Since:
        1.0

    - #### LEAF

          public static final IconId LEAF

      A tree leaf icon.
      Since:
        1.0

    - #### LINK

          public static final IconId LINK

      Indicates that something has a URL link attached to it.
      Since:
        1.0

    - #### LINK_SOURCE_HANDLE_LEFT

          public static final IconId LINK_SOURCE_HANDLE_LEFT

      Used for the 'create link' handle shown on the left-hand side of a timeline object used as the source of a link / relationship. Used by the `LinkLayer` to visualize linking option.
      Since:
        2.0

    - #### LINK_SOURCE_HANDLE_LEFT_FOCUS

          public static final IconId LINK_SOURCE_HANDLE_LEFT_FOCUS

      Used for the 'create link' handle shown on the left-hand side of a timeline object used as the source of a link / relationship. Used by the `LinkLayer` to visualize linking option.
      Since:
        2.0

    - #### LINK_SOURCE_HANDLE_RIGHT

          public static final IconId LINK_SOURCE_HANDLE_RIGHT

      Used for the 'create link' handle shown on the right-hand side of a timeline object used as the source of a link / relationship. Used by the `LinkLayer` to visualize linking option.
      Since:
        2.0

    - #### LINK_SOURCE_HANDLE_RIGHT_FOCUS

          public static final IconId LINK_SOURCE_HANDLE_RIGHT_FOCUS

      Used for the 'create link' handle shown on the right-hand side of a timeline object used as the source of a link / relationship. Used by the `LinkLayer` to visualize linking option.
      Since:
        2.0

    - #### LINK_TARGET_HANDLE_LEFT

          public static final IconId LINK_TARGET_HANDLE_LEFT

      Used for the 'create link' handle shown on the left-hand side of a timeline object used as the target of a link / relationship. Used by the `LinkLayer` to visualize linking option.
      Since:
        2.0

    - #### LINK_TARGET_HANDLE_LEFT_FOCUS

          public static final IconId LINK_TARGET_HANDLE_LEFT_FOCUS

      Used for the 'create link' handle shown on the left-hand side of a timeline object used as the target of a link / relationship. Used by the `LinkLayer` to visualize linking option.
      Since:
        2.0

    - #### LINK_TARGET_HANDLE_RIGHT

          public static final IconId LINK_TARGET_HANDLE_RIGHT

      Used for the 'create link' handle shown on the right-hand side of a timeline object used as the target of a link / relationship. Used by the `LinkLayer` to visualize linking option.
      Since:
        2.0

    - #### LINK_TARGET_HANDLE_RIGHT_FOCUS

          public static final IconId LINK_TARGET_HANDLE_RIGHT_FOCUS

      Used for the 'create link' handle shown on the right-hand side of a timeline object used as the target of a link / relationship. Used by the `LinkLayer` to visualize linking option.
      Since:
        2.0

    - #### MAJOR_GRID

          public static final IconId MAJOR_GRID

      Used by the statusline to indicate that the 'major' grid is turned on.
      Since:
        1.0

    - #### MINOR_GRID

          public static final IconId MINOR_GRID

      Used by the statusline to indicate that the 'minor' grid is turned on.
      Since:
        1.0

    - #### MOVE

          public static final IconId MOVE

      An icon representing a mode in which something can be moved (similar to the 'move' cursor provided by the operating system.
      Since:
        1.0

    - #### NODE_INDENT

          public static final IconId NODE_INDENT

      An icon representing an action, which will indent a tree table node. An indented node goes down one level in the tree table's node hierarchy.
      Since:
        1.1

    - #### NODE_OUTDENT

          public static final IconId NODE_OUTDENT

      An icon representing an action, which will indent a tree table node. An indented node goes down one level in the tree table's node hierarchy.
      Since:
        1.1

    - #### NOTE

          public static final IconId NOTE

      Used to show that something has a note attached to it (usually a medium sized text description).
      Since:
        1.0

    - #### OVERVIEW

          public static final IconId OVERVIEW

      Used for menu items and buttons that trigger the overview functionality of the Gantt chart.
      Since:
        1.0

    - #### OVERVIEW_SELECTOR

          public static final IconId OVERVIEW_SELECTOR

      Used for the control button that brings up the overview window.
      Since:
        1.0

    - #### PAGE_EARLIER

          public static final IconId PAGE_EARLIER

      Used for the button in the page control, which will change the currently displayed time span to the next earlier time span.
      Since:
        1.0

    - #### PAGE_BEGINNING

          public static final IconId PAGE_BEGINNING

      Used for the button in the page control, which will change the currently displayed time span to the earliest time span.
      Since:
        1.0

    - #### PAGE_LATER

          public static final IconId PAGE_LATER

      Used for the button in the page control, which will change the currently displayed time span to the next later time span.
      Since:
        1.0

    - #### PAGE_END

          public static final IconId PAGE_END

      Used for the button in the page control, which will change the currently displayed time span to the latest time span.
      Since:
        1.0

    - #### PAGE_SELECTION

          public static final IconId PAGE_SELECTION

      Used for the button in the page control, which will allow the user to go directly to a specific page.
      Since:
        1.0

    - #### PIN

          public static final IconId PIN

      Used for showing that something has been pinned. Used for example by the `DefaultPopupRenderer` to indicate that a popup is pinned / sticky.
      Since:
        1.0

    - #### POPUP

          public static final IconId POPUP

      Used for the 'show popups' action.
      Since:
        1.0

    - #### POPUP_CLEAR

          public static final IconId POPUP_CLEAR

      Used for the 'clear pinned popups' action.
      Since:
        1.0

    - #### PRINT

          public static final IconId PRINT

      Used for the 'print Gantt chart' action.
      Since:
        1.0

    - #### PRINT_PREVIEW

          public static final IconId PRINT_PREVIEW

      Used for the 'print Gantt chart (with preview)' action.
      Since:
        1.0

    - #### RECTANGLE

          public static final IconId RECTANGLE

      An icon used for the rectangle/box/lasso selection mechanism.
      Since:
        1.0

    - #### REDO

          public static final IconId REDO

      Used for the 'redo last undone command' action.
      Since:
        1.0

    - #### SCROLLING_LOCKED

          public static final IconId SCROLLING_LOCKED

      Used for displaying the state of the "time now scrolling" feature. If the LOCKED icon is shown the Gantt chart automatically follows the time now location.
      Since:
        2.0

    - #### SCROLLING_UNLOCKED

          public static final IconId SCROLLING_UNLOCKED

      Used for displaying the state of the "time now scrolling" feature. If the UNLOCKED icon is shown the Gantt chart does not automatically follow the time now location.
      Since:
        2.0

    - #### SELECT_ALL

          public static final IconId SELECT_ALL

      Used for the 'select all timeline objects' action.
      Since:
        1.0

    - #### SELECTION_INDICATOR

          public static final IconId SELECTION_INDICATOR

      Used to mark selections.
      Since:
        1.0

    - #### SPREADSHEET_SELECTOR

          public static final IconId SPREADSHEET_SELECTOR

      Used for the control button that brings up the spreadsheet selector window.
      Since:
        2.1

    - #### RELATIONSHIPS

          public static final IconId RELATIONSHIPS

      Used for the 'show relationships' action. Executing this action will make the relationship layer visible.
      Since:
        1.0

    - #### SPLIT_GANTT_CHART

          public static final IconId SPLIT_GANTT_CHART

      Used for the 'split gantt chart' action.
      Since:
        1.0

    - #### SPLIT_GANTT_CHART_SMALL

          public static final IconId SPLIT_GANTT_CHART_SMALL

      Used for the 'split gantt chart' button.
      Since:
        1.0

    - #### SPREADSHEET

          public static final IconId SPREADSHEET

      Used for the 'show spreadsheet' action.
      Since:
        1.0

    - #### TABLE

          public static final IconId TABLE

      An icon representing a table.
      Since:
        1.0

    - #### TASK

          public static final IconId TASK

      An icon for tree nodes that represent tasks.
      Since:
        1.0

    - #### TASK_GROUP

          public static final IconId TASK_GROUP

      An icon for tree nodes that represent a group of tasks.
      Since:
        1.0

    - #### TIME

          public static final IconId TIME

      An icon for 'time' (usually a calendar and/or clock).
      Since:
        1.0

    - #### TIMELINE_OBJECT_EDITOR_CLOSE

          public static final IconId TIMELINE_OBJECT_EDITOR_CLOSE

      An icon used inside the titlebar of timeline object editors for closing the editor.
      Since:
        1.1

    - #### TIMELINE_OBJECT_EDITOR_PACK

          public static final IconId TIMELINE_OBJECT_EDITOR_PACK

      An icon used inside the titlebar of timeline object editors for resizing the editor to its preferred size.
      Since:
        1.1

    - #### TIME_NOW

          public static final IconId TIME_NOW

      Represents the time currently used by the Gantt chart (not the system time of the computer where the Gantt chart is being executed).
      Since:
        1.0

    - #### TIME_NOW_SMALL

          public static final IconId TIME_NOW_SMALL

      Represents the time currently used by the Gantt chart (not the system time of the computer where the Gantt chart is being executed).
      Since:
        1.0

    - #### TIME_ZONE

          public static final IconId TIME_ZONE

      Represents a time zone (e.g. West Europe, US East Coast, ...).
      Since:
        1.0

    - #### UNDO

          public static final IconId UNDO

      Used for the 'undo last executed command' action.
      Since:
        1.0

    - #### UNSPLIT_GANTT_CHART

          public static final IconId UNSPLIT_GANTT_CHART

      Used for the 'unsplit the gantt chart' action.
      Since:
        1.0

    - #### UNSPLIT_GANTT_CHART_SMALL

          public static final IconId UNSPLIT_GANTT_CHART_SMALL

      Used for the 'unsplit the gantt chart' button.
      Since:
        1.0

    - #### WARNING

          public static final IconId WARNING

      Message status icon: used (for example) in the statusline to indicate that a warning has been issued by the application.
      Since:
        1.0

    - #### ZOOM_IN

          public static final IconId ZOOM_IN

      An icon used for the 'show a shorter visible time range' action.
      Since:
        1.0

    - #### ZOOM_IN_SMALL

          public static final IconId ZOOM_IN_SMALL

      An icon used for the 'show a shorter visible time range' BUTTON.
      Since:
        1.0

    - #### ZOOM_OUT

          public static final IconId ZOOM_OUT

      An icon used for the 'show a longer visible time range' action.
      Since:
        1.0

    - #### ZOOM_OUT_SMALL

          public static final IconId ZOOM_OUT_SMALL

      An icon used for the 'show a longer visible time range' button.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static IconId[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IconId c : IconId.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IconId valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.